<template>
  <div>{{ user }}</div>
</template>

<script>
export default {
  name: 'Profile',
  computed: {
    user() {
      return this.$store.getters('getUser');
    },
  },
  serverPrefetch () {
    return this.fetchUser();
  },
  methods: {
    fetchUser() {
      return this.$store.dispatch('fetchUser');
    },
  },
  mounted () {
    if (!this.user) {
      this.fetchUser();
    }
  },
}
</script>